PO4A-UPDATEPO.1P(1)

NOM
po4a-updatepo - Mettre la traduction (au format PO) de la documentation à jour

SYNOPSIS
po4a-updatepo -f fmt (-m maître.doc)+ (-p XX.po)+

(XX.po sont les fichiers de sortie, tous les autres sont des entrées)

DESCRIPTION
L’objectif du projet po4a [PO for anything — PO pour tout] est de simplifier la traduction (et de façon plus intéressante, la maintenance des traductions) en utilisant les outils gettext dans des domaines pour lesquels ils n’étaient pas destinés, comme la documentation.

Le script po4a-updatepo met à jour un fichier PO afin qu’il reflète les changements apportés au fichier original. Pour cela, il convertit le fichier POD en fichier POT, puis invoque msgmerge(1) sur ce nouveau POT et sur les fichiers PO fournis.

Il est possible de donner plus d’un fichier PO à la fois (si vous voulez mettre plusieurs langues à jour d’un coup), et plusieurs fichiers de documentation (si vous voulez stocker la traduction de plusieurs documents dans le même fichier PO).

Si le document maître contient des caractères non ASCII, ce script convertira les fichiers PO en UTF-8 (s’ils ne l’étaient pas déjà), pour une gestion transparente des caractères non standard.

OPTIONS

-f, --format
    Type de format de la documentation que vous souhaitez traiter. Utilisez l’option --help-format pour afficher la liste des formats disponibles.

-m, --master
    Fichier(s) contenant les documents maîtres à traduire.

-M, --master-charset
    Jeu de caractères des fichiers contenant les documents à traduire. Notez que tous les fichiers doivent partager le même jeu de caractères.

-p, --po
    Fichier(s) PO à mettre à jour. Si ces fichiers n’existent pas, ils sont créés par po4a-updatepo.

-o, --option
    Passe une ou des options supplémentaires au greffon de format. Veuillez vous référer à la documentation de chaque greffon pour la liste des options valides et leurs significations. Par exemple, vous pourriez passer « -o tablecells » au parseur AsciiDoc, tandis que le parseur de texte accepterait « -o tabs=split ».

--no-previous
    Cette option supprime --previous des options passées à msgmerge. Elle permet de prendre en charge les versions de gettext (avant v0.16).

--previous
    Cette option ajoute --previous aux options passées à msgmerge. Elle nécessite une version 0.16 ou ultérieure de gettext et est activée par défaut.

--msgmerge-opt options
    Options additionnelles pour msgmerge(1).

-h, --help
    Affiche un message d’aide.

--help-format
    Énumère les formats de documentations connus de po4a.

-V, --version
    Affiche la version du script et quitte.

-v, --verbose
    Rend le programme plus bavard.

-d, --debug
    Affiche quelques informations de débogage.

--porefs type[,wrap|nowrap]
    Indique le format des références. L’argument type peut-être never pour ne pas produire de référence, file pour n’indiquer que le fichier sans le numéro de ligne, counter pour remplacer le numéro de ligne par un décompte croissant, et full pour inclure des références complètes (par défaut, la valeur full est utilisée).

    L’argument peut être suivi d’une virgule et d’un des mots clefs wrap ou nowrap. Les références sont écrites par défaut sur une seule ligne. Avec l’option wrap, les références sont placées sur plusieurs lignes, pour imiter le comportement des outils gettext (xgettext and msgmerge). Cette option deviendra la valeur par défaut dans une prochaine version, car elle est plus pertinente. L’option nowrap est disponible pour permettre aux utilisateurs de conserver l’ancien comportement s’ils le désirent.

--wrap-po no|newlines|nombre (par défaut : 76)
    Détermine la façon de formater le fichier po. Cela donne le choix entre des fichiers joliment reformatés mais pouvant mener à des conflits git, ou des fichiers plus facile à prendre en main automatiquement, mais plus difficile à lire pour les humains.

    Historiquement, la suite gettext a reformaté les fichiers po à la 77e colonne pour des raisons cosmétiques. Cette option spécifie le comportement de po4a. S'il est défini sur une valeur numérique, po4a reformatera le fichier po après cette colonne et après les retours à la ligne dans le contenu. S'il est défini sur newlines, po4a ne divisera le «msgid» et «msgstr» qu'après les retours à la ligne dans le contenu. S'il est défini sur no, po4a ne reformatera pas du tout le fichier po. Le reformatage des commentaires de référence est contrôlée par l'option --porefs.

    Veuillez noter que cette option n’a pas d’impact sur la façon dont les msgid et msgstr sont restreints, par exemple sur la façon dont les nouvelles lignes sont ajoutées au contenu de ces chaînes.

--msgid-bugs-address adresse@email
    Fixe l’adresse à laquelle les bogues des msgid doivent être envoyés. Par défaut, les fichiers POT créés n’ont pas de champ Report-Msgid-Bugs-To.

--copyright-holder chaîne
    Fixe le détenteur du copyright dans l’en-tête du fichier POT. La valeur par défaut est « Free Software Foundation, Inc. ».

--package-name chaîne
    Fixe le nom du paquet pour l’en-tête du fichier POT. La valeur par défaut est « PACKAGE ».

--package-version chaîne
    Fixe la version du paquet pour l’en-tête du fichier POT. La valeur par défaut est « VERSION ».

VOIR AUSSI
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTEURS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCTION
 Martin Quinson (mquinson#debian.org)

COPYRIGHT ET LICENCE
Copyright 2002-2020 by SPI, inc.

Ce programme est un logiciel libre ; vous pouvez le copier et / ou le modifier sous les termes de la GPL (voir le fichier COPYING).